# Lab 03 - VLAN Routing
> ***Objectives:***  
> - Use Lab 02 setup
> - Add the routers `R1` and `R2`
> - Create a subinterface FE0/0.10 for VLAN10

## Inter-VLAN Routing Configuration
For each router, configure this replacing `{x}` with the router number:

```sh
enable
configure terminal
hostname R{x}

interface fastEthernet 0/0
no shutdown

interface fastEthernet 0/0.10
ip address 10.10.0.{x} 255.255.0.0
encapsulation dot1q 10
no shutdown

interface fastEthernet 0/0.20
ip address 10.20.0.{x} 255.255.0.0
encapsulation dot1q 20
no shutdown

exit
exit
disable
exit
```

## First-Hop Redundancy Protocol Setup
On each router:

```sh
enable
configure terminal

interface fastEthernet 0/0.10
standby 1 ip 10.10.0.111

interface fastEthernet 0/0.20
standby 2 ip 10.20.0.222

exit
exit
disable
exit
```
